<div class="multiform" id="settings-form">
	<ul class="hor-menu noselect nostyle" id="settings-menu">
		<li class="item hl-bottom" id="general">Добавление звонка</li>
	</ul>
	<div class="content">
		<div class="modal-message" style="display: none;"><div class="message-box"></div></div>
		<div class="sections">
			{% if user.role.permissions.CALLS_ADD %}
				<form id="call-add" method="post" action="/calls/call/">
					{% csrf_token %}
					<div class="horizontal">
						<div class="material-select">
							<select name="clientId">
								{% for client in clients %}
									<option value="{{ client.id }}">{{ client }}</option>
								{% endfor %}
							</select>
							<label for="select" class="control-label">Клиент</label><i class="bar"></i>
						</div>
						<button class="button smaller" id="goto-client" form="">Перейти к клиенту</button>
					</div>
					<div class="horizontal">
						<div class="material-select">
							<select name="modeId">
								{% for mode in modes %}
									<option value="{{ mode.id }}">{{ mode.name }}</option>
								{% endfor %}
							</select>
							<label for="select" class="control-label">Тип звонка</label><i class="bar"></i>
						</div>
					</div>
					<div class="submit-container">
						<button class="button" form="call-add" type="submit">Добавить</button>
					</div>
				</form>
			{% else %}
				<h2>У вас недостаточно прав для просмотра этой страницы.</h2>
			{% endif %}
		</div>
	</div>
</div>
<script>
	$(function() {
		$("form").submit(function(e){
			e.preventDefault();
			modalMessage();
			var form = $(this);
			var posting = $.post(form.attr('action'), form.serialize());
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		});
	});

	$("button#goto-client").click(function() {
		var id = $('select[name=clientId]').find(":selected").val();
		modalGet('/clients/client/'+id+'/edit/');
	});

	if ('{{ err }}' != '') {
		var msg = '{{ err }}';
	}
	modalMessage(msg);
</script>